.button {
  display: inline-block;
  height: 44px;
  line-height: 44px;
  box-sizing: border-box;
  font-family: $font-roboto;
  padding: 0 20px;
  font-size: 0.875rem;
  font-weight: 500;
  letter-spacing: 0.019rem;
  text-align: center;
  border-radius: 5px;
  background-color: $ecriplus-teal;
  color: $white;
  cursor: pointer;
  border: none;
  outline: none;

  &:hover, &:active, &:focus {
    background-color:$ecriplus-teal-saturated;
    transition: background-color 0.2s ease;
  }

  &:disabled {
    background-color: $grey-30;

    &:hover, &:active, &:focus {
      cursor: default;
      background-color: $grey-30;
    }
  }

  &--white {
    background-color: $white;
    color: $grey-100;

    &:hover, &:active, &:focus {
      background-color: $grey-20;
    }
  }

  &--grey {
    background-color: $blue-zodiac;
    color: $white;

    &:hover, &:active, &:focus {
      background-color: $grey-70;
    }
  }

  &--light-grey {
    color: $grey-60;
    background-color: $grey-10;

    &:hover, &:focus, &:active {
      background-color: $grey-20;
    }
  }

  &--red {
    background-color: $red;
    color: $white;

    // &:hover, &:active, &:focus {
    //   background-color: $red-hover;
    // }
  }

  &--no-color {
    background-color: transparent;
    color: $grey-100;

    &:hover, &:active, &:focus {
      background-color: $grey-20;
    }
  }

  &--bordered {
    border: 1px solid $blue;
    color: $blue;

    &:hover, &:active, &:focus {
      background-color: $blue;
      color: $white;
    }
  }

  &--regular {
    width: 120px;
  }

  &--big {
    width: 180px;
  }

  &--extra-big {
    width: 280px;
  }

  &--thin {
    height: 36px;
    line-height: 36px;
  }

  &--link {
    text-decoration: none;
  }
}

.loader-in-button {
  display: flex;
  background: url('/images/loader-white.svg') no-repeat center;
  background-size: 50px;
}
